<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<jsp:include page="header.jsp">
  <jsp:param name="title" value="Delete Public Events"/>
</jsp:include>

<h1>Delete Public Events</h1>

<p id="errors">
  <html:errors />
</p>

<p>
Mark the event(s) that you would like to delete then click "Delete"
</p>

<%
  String rpitemp;
%>

<genurl:form action="delEvent" >
  <html:submit property="delEvents" value="Delete"/>

  <table id="commonListTable">
    <tr>
      <th>&nbsp;</th>
      <th>Title</th>
      <th>Start Date</th>
      <th>End Date</th>
      <th>Description</th>
    </tr>

    <logic:iterate id="event" name="peForm" property="events" >
      <bean:define id="eventId" name="event" property="id"/>

      <tr>
        <td>
          <% rpitemp="delFlag[" + eventId +"]"; %>
          <html:checkbox name="peForm" property="<%=rpitemp%>" />
        </td>
        <td class="shortdesc">
          <bean:write name="event" property="shortdesc" />
        </td>
        <td>
          <bean:write name="event" property="startdate" />
        </td>
        <td>
          <bean:write name="event" property="enddate" />
        </td>
        <td>
          <bean:write name="event" property="longdesc" />
        </td>
      </tr>
    </logic:iterate>
  </table>

  <html:submit property="delEvents" value="Delete"/>
  <html:submit property="forwardto" value="Cancel"/>
</genurl:form>

<%@include file="footer.jsp"%>

