<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>

<jsp:include page="header.jsp">
  <jsp:param name="title" value="Category Descriptions"/>
</jsp:include>

<table id="catListTable">
  <tr>
    <th>Category</th>
    <th>Description</th>
  </tr>

  <logic:iterate name="peForm" property="publicKeywords" id="keywd">
    <tr>
      <td class="catName">
        <bean:write name="keywd" property="word" />
      </td>
      <td>
        <logic:notPresent name="keywd" property="description" >
          No description available
        </logic:notPresent>
        <logic:present name="keywd" property="description" >
          <bean:write name="keywd" property="description" />
        </logic:present>
      </td>
    </tr>
  </logic:iterate>
</table>

<%@include file="footer.jsp"%>
