<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>

<table id="adminGroupFormTable">
  <tr>
    <td class="fieldName">
      Name:
    </td>
    <logic:notEqual parameter="createItem" value="true" >
      <td>
        <bean:write name="peForm" property="updAdminGroup.name" />
      </td>
    </logic:notEqual>
    <logic:equal parameter="createItem" value="true" >
      <td>
        <html:text name="peForm" property="updAdminGroup.name" />
      </td>
    </logic:equal>
  </tr>

  <tr>
    <td class="fieldName">
      Description:
    </td>
    <td>
      <html:textarea property="updAdminGroup.description" cols="50"
                     rows="3" />
    </td>
  </tr>

  <tr>
    <td class="fieldName">
      Group owner:
    </td>
    <td>
      <html:text name="peForm" property="adminGroupGroupOwner" />
    </td>
  </tr>

  <tr>
    <td class="fieldName">
      Events owner:
    </td>
    <td>
      <html:text name="peForm" property="adminGroupEventOwner" />
    </td>
  </tr>

  <logic:notEqual parameter="createItem" value="true" >
    <tr>
      <td class="fieldName">
        Members:
      </td>

      <td>
        <logic:present name="peForm" property="updAdminGroup.groupMembers" >
          <logic:iterate name="peForm" property="updAdminGroup.groupMembers"
                         id="member" >
            <bean:write name="member" property="account" />&nbsp;
          </logic:iterate>
        </logic:present>
      </td>
    </tr>

    <tr>
      <td class="fieldName">
        Add/remove member:
      </td>

      <td>
        <html:text property="updGroupMember" size="15" />
        <html:submit property="addGroupMember" value="Add" />
        <html:submit property="removeGroupMember" value="Remove" />
      </td>
    </tr>
  </logic:notEqual>
</table>

