<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<jsp:include page="header.jsp">
  <jsp:param name="title" value="Authorise a user"/>
</jsp:include>

<h2>Update Authorised User Information</h2>

<genurl:form action="auth" >
  <table id="eventFormTable">
    <tr>
      <td class="fieldName">
        Account:
      </td>
      <td>
        <bean:write name="peForm" property="authUser.user.account" />
      </td>
    </tr>
    <tr>
      <td class="fieldName">
        Alerts:
      </td>
      <td>
        <html:checkbox property="authUserAlerts" />
      </td>
    </tr>
    <tr>
      <td class="fieldName">
        Public Events:
      </td>
      <td>
        <html:checkbox property="authUserPublicEvents" />
      </td>
    </tr>
    <tr>
      <td class="fieldName">
        Super User:
      </td>
      <td>
        <html:checkbox property="authUserSuperUser" />
      </td>
    </tr>
    <tr>
      <td class="optional">
        Email:
      </td>
      <td>
        <html:text property="authUser.email" size="30" />
        <span class="fieldInfo">(optional)</span>
      </td>
    </tr>
    <tr>
      <td class="optional">
        Phone:
      </td>
      <td>
        <html:text property="authUser.phone" size="30" />
        <span class="fieldInfo">(optional)</span>
      </td>
    </tr>
    <tr>
      <td class="optional">
        Department:
      </td>
      <td>
        <html:text property="authUser.dept" size="30" />
        <span class="fieldInfo">(optional)</span>
      </td>
    </tr>
    <tr>
      <td class="optional">
        Last name:
      </td>
      <td>
        <html:text property="authUser.lastname" size="30" />
        <span class="fieldInfo">(optional)</span>
      </td>
    </tr>
    <tr>
      <td class="optional">
        First name:
      </td>
      <td>
        <html:text property="authUser.firstname" size="30" />
        <span class="fieldInfo">(optional)</span>
      </td>
    </tr>
  </table>
  <br />

  <html:submit property="modAuthUser" value="Submit"/>&nbsp;&nbsp;&nbsp;
  <html:reset value="Clear"/>
</genurl:form>

<%@include file="footer.jsp"%>

