<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<jsp:include page="header.jsp">
  <jsp:param name="title" value="Update a Contact"/>
</jsp:include>

<p>
  Select the contact you would like to update:
</p>

<%
  String rpitemp;
%>

<table id="commonListTable">
  <tr>
    <th>Name</th>
    <th>Phone</th>
    <th>Email</th>
    <th>URL</th>
  </tr>

  <logic:iterate id="sponsor" name="peForm" property="sponsors" >
    <bean:define id="id" name="sponsor" property="id"/>

    <% rpitemp="/sponsors.do?action=fetch&sponsor.id=" + id; %>
    <tr>
      <td>
        <genurl:link page="<%=rpitemp%>">
          <bean:write name="sponsor" property="name" />
        </genurl:link>
      </td>
      <td>
        <bean:write name="sponsor" property="phone" />
      </td>
      <td>
        <logic:present name="sponsor" property="email">
          <bean:define id="email" name="sponsor" property="email"/>
          <% String mailto = "mailto:" + email; %>
          <genurl:link href="<%=mailto%>">
            <bean:write name="sponsor" property="email"/>
          </genurl:link>
        </logic:present>
      </td>
      <td>
        <logic:present name="sponsor" property="link">
          <bean:define id="link" name="sponsor" property="link" />
          <genurl:link href="<%=(String)link%>" target="linktest">
            <bean:write name="sponsor" property="link" />
          </genurl:link>
        </logic:present>
      </td>
    </tr>
  </logic:iterate>
</table>

<%@include file="footer.jsp"%>

