package edu.rpi.cct.uwcal.tools.dump;

/** There's a limited set of sql statements we need. We'll just define them
 * here indexed by dbType.
 *
 * @author Mike Douglass   douglm@rpi.edu
 * @version 1.0
 */
public interface JdbcDefs {
  public static final String[] getFiltersSql = {
    "select * from calendars",
    "select * from calendars",
    "select * from calendars",
    "select * from calendars",
    "select * from calendars",
    "select * from calendars",
  };

  public static final String[] getUsersSql = {
    "select * from users",
    "select * from users",
    "select * from users",
    "select * from users",
    "select * from users",
    "select * from users",
  };

  public static final String[] getLocationsSql = {
    "select * from locations",
    "select * from locations",
    "select * from locations",
    "select * from locations",
    "select * from locations",
    "select * from locations",
  };

  public static final String[] getSponsorsSql = {
    "select * from sponsors",
    "select * from sponsors",
    "select * from sponsors",
    "select * from sponsors",
    "select * from sponsors",
    "select * from sponsors",
  };

  public static final String[] getKeywordsSql = {
    "select * from keywords",
    "select * from keywords",
    "select * from keywords",
    "select * from keywords",
    "select * from keywords",
    "select * from keywords",
  };

  public static final String[] getAuthUsersSql = {
    "select * from auth",
    "select * from auth",
    "select * from auth",
    "select * from auth",
    "select * from auth",
    "select * from auth",
  };

  public static final String[] getEventsSql = {
    "select * from events",
    "select * from events",
    "select * from events",
    "select * from events",
    "select * from events",
    "select * from events",
  };

  public static final String[] getEventKeywordsSql = {
    "select * from event_keywords  where eventid=?",
    "select * from event_keywords  where eventid=?",
    "select * from event_keywords  where eventid=?",
    "select * from event_keywords  where eventid=?",
    "select * from event_keywords  where eventid=?",
    "select * from event_keywords  where eventid=?",
  };

  public static final String[] getEventRefsSql = {
    "select * from eventrefs order by userid",
    "select * from eventrefs order by userid",
    "select * from eventrefs order by userid",
    "select * from eventrefs order by userid",
    "select * from eventrefs order by userid",
    "select * from eventrefs order by userid",
  };

  public static final String[] getAdminGroupsSql = {
    "select * from adminGroups",
    "select * from adminGroups",
    "select * from adminGroups",
    "select * from adminGroups",
    "select * from adminGroups",
    "select * from adminGroups",
  };

  public static final String[] getSubscriptionsSql = {
    "select * from subscriptions where userid=?",
    "select * from subscriptions where userid=?",
    "select * from subscriptions where userid=?",
    "select * from subscriptions where userid=?",
    "select * from subscriptions where userid=?",
    "select * from subscriptions where userid=?",
  };

  public static final String[] getKeywordAttrsSql = {
    "select * from keyword_attrs where kakeywordid=?",
    "select * from keyword_attrs where kakeywordid=?",
    "select * from keyword_attrs where kakeywordid=?",
    "select * from keyword_attrs where kakeywordid=?",
    "select * from keyword_attrs where kakeywordid=?",
    "select * from keyword_attrs where kakeywordid=?",
  };

  public static final String[] getAuthPrefsSql = {
    "select * from authprefs where userid=?",
    "select * from authprefs where userid=?",
    "select * from authprefs where userid=?",
    "select * from authprefs where userid=?",
    "select * from authprefs where userid=?",
    "select * from authprefs where userid=?",
  };

  public static final String[] getAuthPrefKeywordsSql = {
    "select * from authprefKeywords where userid=?",
    "select * from authprefKeywords where userid=?",
    "select * from authprefKeywords where userid=?",
    "select * from authprefKeywords where userid=?",
    "select * from authprefKeywords where userid=?",
    "select * from authprefKeywords where userid=?",
  };

  public static final String[] getAuthPrefLocationsSql = {
    "select * from authprefLocations where userid=?",
    "select * from authprefLocations where userid=?",
    "select * from authprefLocations where userid=?",
    "select * from authprefLocations where userid=?",
    "select * from authprefLocations where userid=?",
    "select * from authprefLocations where userid=?",
  };

  public static final String[] getAuthPrefSponsorsSql = {
    "select * from authprefSponsors where userid=?",
    "select * from authprefSponsors where userid=?",
    "select * from authprefSponsors where userid=?",
    "select * from authprefSponsors where userid=?",
    "select * from authprefSponsors where userid=?",
    "select * from authprefSponsors where userid=?",
  };

  public static final String[] getAdminGroupMembersSql = {
    "select * from adminGroupMembers where groupname=?",
    "select * from adminGroupMembers where groupname=?",
    "select * from adminGroupMembers where groupname=?",
    "select * from adminGroupMembers where groupname=?",
    "select * from adminGroupMembers where groupname=?",
    "select * from adminGroupMembers where groupname=?",
  };

  public static final String[] getDbLastmodsSql = {
    "select * from lastmods",
    "select * from lastmods",
    "select * from lastmods",
    "select * from lastmods",
    "select * from lastmods",
    "select * from lastmods",
  };
}

